%global momorel 4
%global plugindir %{_libdir}/xmms/Input

Summary: Modplug Plugin for XMMS
Name: xmms-modplug
Version: 2.05
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://modplug-xmms.sourceforge.net/
Source: http://telia.dl.sourceforge.net/sourceforge/modplug-xmms/modplugxmms-%{version}.tar.gz
Patch0: modplugxmms-2.0-gcc3.patch
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.2.10-10m
Requires: libmodplug >= 0.7
BuildPrereq: xmms-devel >= 1.2.10-10m
BuildPrereq: libmodplug-devel >= 0.7
BuildPrereq: gcc-c++ >= 3.4.1-1m


%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%prep
%setup -q -n modplugxmms-%{version}
# %patch0 -p1 -b .gcc3

%build
libtoolize -c -f
aclocal
autoconf
%ifnarch alpha alphaev5
%configure
%else
%configure --host=alpha-pc-linux
%endif
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/modplugplay
%{plugindir}/libmodplugxmms.*

%changelog
* Sun Mar 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.03-4m)
- change installdir (/usr/X11R6 -> /usr)

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.03-3m)
- enable x86_64.

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.03-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.03-1m)
- update to 2.03
- add gcc3 patch

* Sun Jul  8 2001 Toru Hoshina <toru@df-usa.com>
- (1.2-8k)
- add alphaev5 support.

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Mon Apr 10 2000 Toru Hoshina <t@kondara.org>
- added alpha support.

* Mon Apr 10 2000 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- 1st release.
